Debian Bug report logs - #606137
openbox crashes with qemu at 24bit

version graph

Package: openbox; Maintainer for openbox is Mateusz Łukasik <mati75@linuxmint.pl>; Source for openbox is src:openbox.

Reported by: Timo Eissler <timo@teissler.de>

Date: Mon, 6 Dec 2010 17:06:02 UTC

Severity: normal

Merged with 545031, 581309

Found in versions openbox/3.4.11.1-1, openbox/3.4.7.2-5

Done: Michael Prokop <mika@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, timo@teissler.de, Nico Golde <nion@debian.org>:
Bug#606137; Package openbox. (Mon, 06 Dec 2010 17:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Eissler <timo@teissler.de>:
New Bug report received and forwarded. Copy sent to timo@teissler.de, Nico Golde <nion@debian.org>. (Mon, 06 Dec 2010 17:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timo Eissler <timo@teissler.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openbox crashes with qemu at 24bit
Date: Mon, 06 Dec 2010 18:03:10 +0100
Package: openbox
Version: 3.4.11.1-1
Severity: normal

I am running qemu with a debian squeeze guest (built with live-build 2.0.9)
with 24 bit video (which is default).

If the openbox session is started and i right-click on the desktop openbox
crashes with:

ObRender-ERROR **: Your bit depth is currently unhandled

If i start the openbox session with:

startx -- -depth 16

i can right-click on the desktop without a problem.

I think it is the same bug as described here:
http://bugzilla.icculus.org/show_bug.cgi?id=4363



-- System Information:
Debian Release: squeeze/sid
  APT prefers maverick-updates
  APT policy: (500, 'maverick-updates'), (500, 'maverick-security'), (500, 'maverick-proposed'), (500, 'maverick-backports'), (500, 'maverick')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-23-generic (SMP w/2 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#606137; Package openbox. (Tue, 07 Dec 2010 21:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nico Golde <nion@debian.org>:
Extra info received and forwarded to list. (Tue, 07 Dec 2010 21:27:08 GMT) Full text and rfc822 format available.

Message #10 received at 606137@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: Timo Eissler <timo@teissler.de>, 606137@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#606137: openbox crashes with qemu at 24bit
Date: Tue, 7 Dec 2010 22:25:53 +0100
[Message part 1 (text/plain, inline)]
severity 606137 minor
forwarded http://bugzilla.icculus.org/show_bug.cgi?id=4363
thanks

Hi,
* Timo Eissler <timo@teissler.de> [2010-12-06 18:07]:
> I am running qemu with a debian squeeze guest (built with live-build 2.0.9)
> with 24 bit video (which is default).
> 
> If the openbox session is started and i right-click on the desktop openbox
> crashes with:
> 
> ObRender-ERROR **: Your bit depth is currently unhandled
> 
> If i start the openbox session with:
> 
> startx -- -depth 16
> 
> i can right-click on the desktop without a problem.
> 
> I think it is the same bug as described here:
> http://bugzilla.icculus.org/show_bug.cgi?id=4363

Yep it's the same issue. Unfortunately there's no solution yet :/
Thanks for reporting!

Cheers
Nico
-- 
Nico Golde - http://www.ngolde.de - nion@jabber.ccc.de - GPG: 0xA0A0AAAA
For security reasons, all text in this mail is double-rot13 encrypted.
[Message part 2 (application/pgp-signature, inline)]

Severity set to 'minor' from 'normal' Request was from Nico Golde <nion@debian.org> to control@bugs.debian.org. (Tue, 07 Dec 2010 21:27:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Nico Golde <nion@debian.org>:
Bug#606137; Package openbox. (Sat, 19 Feb 2011 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Nico Golde <nion@debian.org>. (Sat, 19 Feb 2011 10:33:03 GMT) Full text and rfc822 format available.

Message #17 received at 606137@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: Eliad Bagherzadegan <eliad.bagherzadegan@gmail.com>
Cc: debian-live@lists.debian.org, 606137@bugs.debian.org
Subject: Re: a problem with debian-live-6.0.0-i386-lxde-desktop
Date: Sat, 19 Feb 2011 06:31:15 -0400
On 19/02/11 03:21 AM, Eliad Bagherzadegan wrote:
> I recently tested debian-live-6.0.0-i386-lxde-desktop on qemu. It seems
> to have some problems with its window manager (openbox). The prolem is
> that when you open any window (pcmanfm, iceweasel, ...) everything but
> the desktop background starts blinking every 1 second.
> Has anyone else tested  this?

Yes, it's a known issue. See:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=606137

It is known to upstream for over a year (see the upstream bug in the
above report) yet there is no progress on it.

Ben




Information forwarded to debian-bugs-dist@lists.debian.org, Nico Golde <nion@debian.org>:
Bug#606137; Package openbox. (Mon, 09 May 2011 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Nico Golde <nion@debian.org>. (Mon, 09 May 2011 14:24:03 GMT) Full text and rfc822 format available.

Message #22 received at 606137@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>, 606137@bugs.debian.org
Cc: Eliad Bagherzadegan <eliad.bagherzadegan@gmail.com>, Timo Eissler <timo@teissler.de>
Subject: Re: Bug#606137: a problem with debian-live-6.0.0-i386-lxde-desktop
Date: Mon, 9 May 2011 16:13:14 +0200
[Message part 1 (text/plain, inline)]
* Ben Armstrong [Sat Feb 19, 2011 at 06:31:15AM -0400]:
> On 19/02/11 03:21 AM, Eliad Bagherzadegan wrote:

> > I recently tested debian-live-6.0.0-i386-lxde-desktop on qemu. It seems
> > to have some problems with its window manager (openbox). The prolem is
> > that when you open any window (pcmanfm, iceweasel, ...) everything but
> > the desktop background starts blinking every 1 second.
> > Has anyone else tested  this?

> Yes, it's a known issue. See:

> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=606137

> It is known to upstream for over a year (see the upstream bug in the
> above report) yet there is no progress on it.

A patch just recently showed up at
https://bugzilla.icculus.org/show_bug.cgi?id=4363#c9

Maybe someone can test whether this solves #606137?

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 23 May 2011 08:06:06 GMT) Full text and rfc822 format available.

Reply sent to Nico Golde <nion@debian.org>:
You have taken responsibility. (Tue, 24 May 2011 10:11:50 GMT) Full text and rfc822 format available.

Notification sent to Timo Eissler <timo@teissler.de>:
Bug acknowledged by developer. (Tue, 24 May 2011 10:11:54 GMT) Full text and rfc822 format available.

Message #29 received at 606137-close@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: 606137-close@bugs.debian.org
Subject: Bug#606137: fixed in openbox 3.4.11.2-1
Date: Tue, 24 May 2011 10:07:11 +0000
Source: openbox
Source-Version: 3.4.11.2-1

We believe that the bug you reported is fixed in the latest version of
openbox, which is due to be installed in the Debian FTP archive:

gnome-panel-control_3.4.11.2-1_amd64.deb
  to main/o/openbox/gnome-panel-control_3.4.11.2-1_amd64.deb
libobparser21_3.4.11.2-1_amd64.deb
  to main/o/openbox/libobparser21_3.4.11.2-1_amd64.deb
libobrender21_3.4.11.2-1_amd64.deb
  to main/o/openbox/libobrender21_3.4.11.2-1_amd64.deb
openbox-dev_3.4.11.2-1_amd64.deb
  to main/o/openbox/openbox-dev_3.4.11.2-1_amd64.deb
openbox_3.4.11.2-1.debian.tar.gz
  to main/o/openbox/openbox_3.4.11.2-1.debian.tar.gz
openbox_3.4.11.2-1.dsc
  to main/o/openbox/openbox_3.4.11.2-1.dsc
openbox_3.4.11.2-1_amd64.deb
  to main/o/openbox/openbox_3.4.11.2-1_amd64.deb
openbox_3.4.11.2.orig.tar.gz
  to main/o/openbox/openbox_3.4.11.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 606137@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nico Golde <nion@debian.org> (supplier of updated openbox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 22 May 2011 19:27:57 +0200
Source: openbox
Binary: openbox gnome-panel-control libobparser21 libobrender21 openbox-dev
Architecture: source amd64
Version: 3.4.11.2-1
Distribution: unstable
Urgency: low
Maintainer: Nico Golde <nion@debian.org>
Changed-By: Nico Golde <nion@debian.org>
Description: 
 gnome-panel-control - command line utility to invoke GNOME panel run dialog/menu
 libobparser21 - parsing library for openbox
 libobrender21 - rendering library for openbox themes
 openbox    - standards compliant, fast, light-weight, extensible window manage
 openbox-dev - development files for the openbox window manager
Closes: 586306 587283 592589 597972 599818 602594 603305 604043 606137 609317 622425
Changes: 
 openbox (3.4.11.2-1) unstable; urgency=low
 .
   * "New" upstream release (Closes: #599818).
   * Fix FTBFS with ld --no-add-needed/gold (Closes: #609317)
     - Link gdm-control against Xau.
     - Build-depend on autoconf and automake1.9.
     - Thanks to Felix Geyer!
   * Update install files for libobparser/libobrender as the shared
     library minor version changed.
   * openbox-dev: Add libxml2-dev, libglib2.0-dev, libxft-dev, libpango1.0-dev
     to Depends (Closes: #603305).
   * Simplify gnome session script
     (Closes: #604043; 05_simplify_gnome_session.patch).
     - Thanks Jim Paris for the patch!
   * Add hunk to 01_rc.xml.patch to fix double closed xml comment
     (Closes: #592589).
   * Change the unique id in openbox menu-methods to $section
     (Closes: #586306).
     - Thanks Bill Allombert!
   * Given that the included documentation about configuring openbox is rather
     bad, move obconf to Recommends from Suggests (Closes: #597972).
   * Add python-xdg to depends, install xdg-autostart to
     /usr/lib/openbox (Closes: #587283)
   * Add upstream patch for 24 bit video support
     (Closes: #606137; 20_24bits_support.patch).
   * Fix incorrect loop in swap_byte_order (06_fix_swap_byte_order.patch).
   * Split gnome-panel-control in its own binary package due to its nature
     not necessary being bound to openbox (Closes: #602594).
   * Do not install libobparser.la and libobrender.la files anymore as they
     are not needed (Closes: #622425).
   * Bump standards version, no changes needed.
   * Change menu conflict of openbox to Breaks.
   * Move BSD license text directly into debian/copyright as it may be removed
     from base-files in the future.
Checksums-Sha1: 
 d3d44cb44f793edd0d69213b5fe6a35cd0d47210 1480 openbox_3.4.11.2-1.dsc
 e9eb2d91b3aea54158d0ce38694896e5669a7610 877633 openbox_3.4.11.2.orig.tar.gz
 142d38fb86cd5ddb51caedd54fb6514aaf0c197c 34470 openbox_3.4.11.2-1.debian.tar.gz
 17a700b020ced9c7de760566fae0799ffab37a4c 336508 openbox_3.4.11.2-1_amd64.deb
 f005e21ede1dc2cdf228741a1bc558510829ce16 39480 gnome-panel-control_3.4.11.2-1_amd64.deb
 5b71066144916aa07c14f90864001c6766d67cf1 42474 libobparser21_3.4.11.2-1_amd64.deb
 5203622722da77d9f65fc2bf3cfd650794b69617 72550 libobrender21_3.4.11.2-1_amd64.deb
 bb59a3bae7e53b9362f20bb4d9464a43f28626e6 86128 openbox-dev_3.4.11.2-1_amd64.deb
Checksums-Sha256: 
 a6288e65d33c262e1047d47d2055e2f4eacb04870e28f03edde228d78cd46937 1480 openbox_3.4.11.2-1.dsc
 2e7579389c30e6bb08cc721a2c1af512e049fec2670e71715aa1c4e129ec349d 877633 openbox_3.4.11.2.orig.tar.gz
 c9cb532c2f0059077b870387eb5ed8d441f60ebad01e629fef3f1ccf9f9d5e95 34470 openbox_3.4.11.2-1.debian.tar.gz
 8b704e0892a6ca8a5e63257eaa06991fffb6f4d64ecc4b121e2364d921449881 336508 openbox_3.4.11.2-1_amd64.deb
 683fe4b7072a1ba932b393d03ea41f964ce2bdbaa19640270a81aad59bb3a49a 39480 gnome-panel-control_3.4.11.2-1_amd64.deb
 25aa9fe6d86fa2143100198f5791399bfab63c4d1d57cdf8ef8cdbf4a88da7c9 42474 libobparser21_3.4.11.2-1_amd64.deb
 5d1e80dcde56577aa08354584739fd92c5f5d5e8e574bb6ad0a9739032c81ef8 72550 libobrender21_3.4.11.2-1_amd64.deb
 ee79c08eba61f980946f6cc2c9fa8e2903c912d910dd1e3a9bbd3ced771a1604 86128 openbox-dev_3.4.11.2-1_amd64.deb
Files: 
 6347a75e9a936a9b97166359a0046f3e 1480 x11 optional openbox_3.4.11.2-1.dsc
 30e669134fa81df810fe7d1dc59cd931 877633 x11 optional openbox_3.4.11.2.orig.tar.gz
 6cda396d7ed93e4ad1cb270fd31882da 34470 x11 optional openbox_3.4.11.2-1.debian.tar.gz
 ffa01aea8471fd0c434254077505a11a 336508 x11 optional openbox_3.4.11.2-1_amd64.deb
 7f1ea3b34e089b1447c5061504041346 39480 x11 optional gnome-panel-control_3.4.11.2-1_amd64.deb
 4c2ec77f33550b37e4f566c07c49add0 42474 libs optional libobparser21_3.4.11.2-1_amd64.deb
 aa0a63b9346098a592dd097261eaf703 72550 libs optional libobrender21_3.4.11.2-1_amd64.deb
 da82926c8048d5f3a5aca449f00ffbc1 86128 libdevel optional openbox-dev_3.4.11.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3Zam0ACgkQHYflSXNkfP8ORgCfTtSxKHNly6RnKKyKbEJeMRMn
KyIAoIzMBFr4BQuElPXxLe0TjomiGxxB
=KZfE
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions openbox/3.4.11.2-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 May 2011 14:27:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Nico Golde <nion@debian.org>:
Bug#606137; Package openbox. (Tue, 24 May 2011 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Nico Golde <nion@debian.org>. (Tue, 24 May 2011 14:30:03 GMT) Full text and rfc822 format available.

Message #36 received at 606137@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: 606137@bugs.debian.org
Subject: Re: Bug#606137 closed by Nico Golde <nion@debian.org> (Bug#606137: fixed in openbox 3.4.11.2-1)
Date: Tue, 24 May 2011 16:26:26 +0200
[Message part 1 (text/plain, inline)]
* Debian Bug Tracking System [Tue May 24, 2011 at 10:11:54AM +0000]:

> #606137: openbox crashes with qemu at 24bit

[...]

>    * Add upstream patch for 24 bit video support
>      (Closes: #606137; 20_24bits_support.patch).
[...]

Patch seems to be incomplete (credits to Ulrich Dangel for pointing
out):

  http://git.openbox.org/?p=dana/openbox.git;a=blob;f=obrender/color.c#l278

Reopening as it still doesn't work with version 3.4.11.2-1.

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 545031 581309 606137. Request was from Nico Golde <nion@debian.org> to control@bugs.debian.org. (Mon, 03 Oct 2011 12:11:45 GMT) Full text and rfc822 format available.

Reply sent to Michael Prokop <mika@debian.org>:
You have taken responsibility. (Fri, 14 Oct 2011 15:39:06 GMT) Full text and rfc822 format available.

Notification sent to Timo Eissler <timo@teissler.de>:
Bug acknowledged by developer. (Fri, 14 Oct 2011 15:39:06 GMT) Full text and rfc822 format available.

Message #43 received at 606137-done@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: 606137-done@bugs.debian.org
Subject: Re: Bug#606137: closed by Nico Golde <nion@debian.org> (Bug#606137: fixed in openbox 3.4.11.2-1)
Date: Fri, 14 Oct 2011 17:37:44 +0200
[Message part 1 (text/plain, inline)]
* Michael Prokop [Tue May 24, 2011 at 04:26:26PM +0200]:
> * Debian Bug Tracking System [Tue May 24, 2011 at 10:11:54AM +0000]:

> > #606137: openbox crashes with qemu at 24bit

> [...]

> >    * Add upstream patch for 24 bit video support
> >      (Closes: #606137; 20_24bits_support.patch).
> [...]

> Patch seems to be incomplete (credits to Ulrich Dangel for pointing
> out):

>   http://git.openbox.org/?p=dana/openbox.git;a=blob;f=obrender/color.c#l278

> Reopening as it still doesn't work with version 3.4.11.2-1.

This bug doesn't seem to appear with openbox 3.5.0-1 any longer.

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Prokop <mika@debian.org>:
You have taken responsibility. (Fri, 14 Oct 2011 15:39:07 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <debian@christoph-egger.org>:
Bug acknowledged by developer. (Fri, 14 Oct 2011 15:39:08 GMT) Full text and rfc822 format available.

Reply sent to Michael Prokop <mika@debian.org>:
You have taken responsibility. (Fri, 14 Oct 2011 15:39:09 GMT) Full text and rfc822 format available.

Notification sent to Tomas Vondra <wondra@volny.cz>:
Bug acknowledged by developer. (Fri, 14 Oct 2011 15:39:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Nov 2011 07:33:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:13:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.